#ifndef _mem_h
#define _mem_h

#include <stdlib.h>

extern char* save_malloc(size_t);
extern char* save_calloc(int,size_t);

extern void* newCell(int);
extern void freeCell(void*, int);
extern void disposeFreeLists();

#define CellCodeTemplate(n)\
void n ## _freeCell(n c) { freeCell( c, sizeof( _ ## n )); } \
n n ## _newCell() { return (n)newCell(sizeof( _ ## n )); }

#endif
