#ifndef _output_h
#define _output_h

extern float scale;		/* only factors */
extern float yscale;
extern float xscale;

extern float xsize;		/* in PS points */
extern float ysize;		/* in PS points */

extern float yoffset;		/* in PS points */
extern float xoffset;		/* in PS points */

extern float xshift;		/* in user space units */
extern float yshift;		/* in user space units */

extern float xUnits2points(float);
extern float yUnits2points(float);
extern float units2pointsFactor;

extern int fitToPage, fitToGraph, centerPage, nonStandardHeight,
           nonStandardWidth, encapsulated, landscape;

extern void (*initPageSize)();
extern void letterPageSize();
extern void a4PageSize();

extern void calculateOffsetAndSize();

#endif
