#include <math.h>
#include "node.h"

void setCircleTP(node from, node to, float * xtp_ptr, float * ytp_ptr)
{
  *xtp_ptr = to->xpos;
  *ytp_ptr = to->ypos;
}

void setBoxTP(node from, node to, float * xtp_ptr, float * ytp_ptr)
{
  *xtp_ptr = to->xpos;
  *ytp_ptr = to->ypos;
}

void setOtherTP(node from, node to, float * xtp_ptr, float * ytp_ptr)
{
  *xtp_ptr = to->xpos;
  *ytp_ptr = to->ypos;
}

void setTouchPoint(edge e)
{
  node f = e->from, t = e->to;
  (*t->attr->TP)(f, t, &e->tx, &e->ty);
  (*f->attr->TP)(t, f, &e->fx, &e->fy);
}
