#include <stdio.h>
#include <stdlib.h>

int n;
int * a = 0;

int inc(int pos)
{
  if(pos>=n) return 0;
  if(a[pos]<n-1)
    {
      a[pos]++;
      return 1;
    }
  else
    {
      a[pos] = 0;
      return inc(pos+1);
    }
}

int check(int pos, unsigned int mask)
{
  int bit = 1 << a[pos];

  if(pos>=n) return 1;
  if(bit & mask) return 0;

  return check(pos+1, mask|bit);
}

main(int argc, char ** argv)
{
  int i;
  int flag=1;

  if(argc!=2)
    {
      fprintf(stderr, "wrong number of arguments ...\n");
      exit(-1);
    }

  n = atoi(argv[1]);	/* no checking */

  a = (int*) malloc(sizeof(int)*n);
  for(i=0; i<n; i++)
    a[i] = 0;

  do {
    if(check(0,0))
      {
        if(!flag) printf(",\n");
	flag = 0;
        for(i=0; i<n-1; i++)
          printf("%d, ", a[i]);

        printf("%d", a[n-1]);
      }
  } while(inc(0));

  printf("\n");

  exit(0);
}
