#ifndef _error_h
#define _error_h

#include <stdio.h>

#define STDERRSTR "*** "
#define WARNINGSTR STDERRSTR "warning: "
#define VERBOSESTR STDERRSTR "verbose: "
#define VERYVERBOSESTR STDERRSTR "VERBOSE: "
#define ERRORSTR STDERRSTR "error: "

extern void error(char*);
extern void warning(char*);
extern int yyerror(char*);
extern void prC(char);
extern void prS(char*);
extern void prI(int);

extern void verbose(char*);
extern int verboseFlag;
extern int checkOnlyFlag;

extern FILE *io_input, *io_output;
extern char *input_file_name, *output_file_name;

extern void ensureInputFileIsOpen();
extern void ensureOutputFileIsOpen();

#endif
